Subject: Re: [PATCH] hvc_console polling mode timer backoff

From: [email-masked] (Linas Vepstas)
Date: Thu, 12 Apr 2007 12:33:34 -0500

On Thu, Apr 12, 2007 at 11:14:36AM -0500, Will Schmidt wrote:
> +/*
> + * timeout will vary between the MIN and MAX values defined here.  By default
> + * and during console activity we will use a default MIN_TIMEOUT of 10.  When
> + * the console is idle, we increase the timeout value on each pass through
> + * msleep until we reach the max.  This may be noticeable as a brief (average
> + * one second) delay on the console before the console responds to input when
> + * there has been no input for some time.
> + */
> +#define MIN_TIMEOUT		(10)
> +#define MAX_TIMEOUT		(2000)

[...]
> +				msleep_interruptible(timeout);

These values are milliseconds (that's what the m in msleep stands for
or at least it did last time I looked). This 10 is 1/100 of a second,
which makes a responsive keyboard for even a very very fast typist.
That's fine.  But 2000 is two seconds, which is longer than the amount 
of time that I wait before I start panicking that something is broken. 

I'd suggest that maybe 1000 or 750 or 500 is more apropriate.

--linas